- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::index::chain::MonotoneChainOverlapAction Class Reference

`#include <MonotoneChainOverlapAction.h>`

Inherited by geos::noding::MCIndexNoder::SegmentOverlapAction.

List of all members.

## Public Member Functions
virtual void | overlap (MonotoneChain *mc1, int start1, MonotoneChain *mc2, int start2)
virtual void | overlap (geom::LineSegment *, geom::LineSegment *)
## Public Attributes
geom::Envelope * | tempEnv1
geom::Envelope * | tempEnv2
## Protected Attributes
geom::LineSegment * | overlapSeg1
geom::LineSegment * | overlapSeg2

## Detailed Description

The action for the internal iterator for performing overlap queries on a MonotoneChain

## Member Function Documentation

virtual void geos::index::chain::MonotoneChainOverlapAction::overlap | ( | MonotoneChain * | mc1,
|  | int | start1,
|  | MonotoneChain * | mc2,
|  | int | start2 |
| ) |  |  | `[virtual]`

This function can be overridden if the original chains are needed

Parameters:

  | start1 | the index of the start of the overlapping segment from mc1
  | start2 | the index of the start of the overlapping segment from mc2

virtual void geos::index::chain::MonotoneChainOverlapAction::overlap | ( | geom::LineSegment * | ,
|  | geom::LineSegment * |  |
| ) |  |  | `[inline, virtual]`

This is a convenience function which can be overridden to obtain the actual line segments which overlap

Parameters:

  | seg1 |
  | seg2 |

The documentation for this class was generated from the following file:

- MonotoneChainOverlapAction.h